#!/bin/sh -e

echo -n "Changing GNOME settings for Debian-BR-CDD project... "
while read line; do
    gconftool-2 \
	--direct \
	--config-source xml:readwrite:/etc/gconf/gconf.xml.defaults \
	$line
done <<EOF
--type string --set /desktop/gnome/background/picture_filename /usr/share/images/Debian-BR-CDD/debian-br-cdd.png
--type string --set /desktop/gnome/interface/gtk_theme Debian-BR-CDD
--type string --set /desktop/gnome/interface/icon_theme Debian-BR-CDD
--type string --set /apps/metacity/general/theme Debian-BR-CDD
--type boolean --set /apps/gnome-terminal/profiles/Default/use_theme_colors false
--type string --set /apps/gnome-terminal/profiles/Default/background_type transparent
--type float --set /apps/gnome-terminal/profiles/Default/background_darkness 0.60
--type string --set /apps/gnome-terminal/profiles/Default/foreground_color #FFFFFF
--type string --set /apps/gnome-terminal/profiles/Default/background_color #000000
--type string --set /apps/epiphany/general/homepage http://debian-br-cdd.alioth.debian.org
--type string --set /apps/gnome-session/options/splash_image /usr/share/debian-br-cdd/splash.png
EOF
echo "done"
